// This is a simple example
package main

import (
	"strings"

	"go.wit.com/lib/gui/repolist"
)

func initWhitelist() {
	release.whitelist = make(map[string]*repolist.Repo)
	for _, repo := range me.repos.View.AllRepos() {
		if strings.HasPrefix(repo.GoPath(), "go.wit.com/dev/davecgh") {
			release.whitelist[repo.GoPath()] = repo
		}
		//
		//	if repo.String() == "go.wit.com/apps/guireleaser" {
		//		release.whitelist[repo.String()] = repo
		//	}
		//
		//	if repo.String() == "go.wit.com/lib/gui/repostatus" {
		//		release.whitelist[repo.String()] = repo
		//	}
		//
	}
}

func whitelist(path string) bool {
	// log.Info("whitelist START", path)
	if me.ignoreWhitelist.Checked() {
		return false
	}

	_, ok := release.whitelist[path]
	if ok {
		// log.Info("whitelist ok == true", path)
		return true
	}
	// log.Info("whitelist ok == false", path)
	return false
}
